# EL6 version
# no python3
# explicit require on python-argparse

# needed for epel6
%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%global srcname curator
%global commit 9f52051bbf9c1161638561f8dce92480ab0307ee

Name:           elastic-curator
Version:        2.1.2
Release:        1%{?dist}
Summary:        Tools for managing Elasticsearch indices

License:        ASL 2.0
URL:            https://github.com/elastic/curator
Source0:        https://github.com/elastic/curator/archive/%{commit}/%{srcname}-%{commit}.tar.gz
Source1:        curator.1
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-elasticsearch
BuildRequires:  python-nose
BuildRequires:  python-mock
BuildRequires:  python-setuptools
Requires:       python-elasticsearch
Requires:       python-argparse

%description
Have indices in Elasticsearch? This is the tool for you! Like a museum curator 
manages the exhibits and collections on display, Elasticsearch Curator helps 
you curate, or manage your indices.

%prep
%setup -q -n %{srcname}-%{commit}
rm -rf *.egg-info

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

mkdir -p %{buildroot}%{_mandir}/man1
install -D -p -m0644 %{SOURCE1} %{buildroot}%{_mandir}/man1

%check
# skip tests on rhel6, 9 out of 151 fail due to missing optional dep thrift
%if 0%{?rhel} > 6 || 0%{?fedora}
%{_bindir}/nosetests-2.7 test_curator
%endif

%files
%doc Changelog.rst CONTRIBUTORS README.md
# needed for el6
%{!?_licensedir:%global license %%doc}
%license LICENSE.txt
%{_bindir}/es_repo_mgr
%{_bindir}/curator
%{_mandir}/man1/curator.1*

%{python2_sitelib}/%{srcname}
%{python2_sitelib}/elasticsearch_curator-%{version}-py2.?.egg-info

%changelog
* Mon May 18 2015 Piotr Popieluch <piotr1212@gmail.com> - 2.1.2-2
- Add "Requires: python-argparse"
- Remove non el6 specific

* Mon May 11 2015 Piotr Popieluch <piotr1212@gmail.com> - 2.1.2-1
- Initial package
